#version 330 core

uniform sampler2D data;
uniform vec3 eye;
in vec2 UV;

out vec4 ocolor;

void main() {
	vec3 pos = texture(data, UV);
	float lenval = length(eye - pos);
	ocolor = vec4(UV, lenval, 1.0);
}
